# schema_salad.tests.test_subtypes

Confirm subtypes.

## Attributes

`types` |

## Functions

`test_subtypes`(old, new, result) | Test is_subtype() function.
`test_avro_loading_subtype`() | Confirm conversion of SALAD style names to avro when overriding.
`test_avro_loading_subtype_bad`() | Confirm subtype error when overriding incorrectly.
`test_subtypes_nested`() | Confirm correct subtype handling on a nested type definition.
`test_subtypes_nested_bad`() | Confirm subtype error when overriding incorrectly in nested types.
`test_subtypes_recursive`() | Confirm correct subtype handling on a recursive type definition.
`test_subtypes_union`() | Confirm correct subtype handling on an union type definition.
`test_subtypes_union_bad`() | Confirm subtype error when overriding incorrectly in array types.

## Module Contents

schema_salad.tests.test_subtypes.types

schema_salad.tests.test_subtypes.test_subtypes(old, new, result)

  Test is_subtype() function.

  Parameters:

    - old (schema_salad.avro.schema.PropType)

    - new (schema_salad.avro.schema.PropType)

    - result (bool)

  Return type:

    None

schema_salad.tests.test_subtypes.test_avro_loading_subtype()

  Confirm conversion of SALAD style names to avro when overriding.

  Return type:

    None

schema_salad.tests.test_subtypes.test_avro_loading_subtype_bad()

  Confirm subtype error when overriding incorrectly.

  Return type:

    None

schema_salad.tests.test_subtypes.test_subtypes_nested()

  Confirm correct subtype handling on a nested type definition.

  Return type:

    None

schema_salad.tests.test_subtypes.test_subtypes_nested_bad()

  Confirm subtype error when overriding incorrectly in nested types.

  Return type:

    None

schema_salad.tests.test_subtypes.test_subtypes_recursive()

  Confirm correct subtype handling on a recursive type definition.

  Return type:

    None

schema_salad.tests.test_subtypes.test_subtypes_union()

  Confirm correct subtype handling on an union type definition.

  Return type:

    None

schema_salad.tests.test_subtypes.test_subtypes_union_bad()

  Confirm subtype error when overriding incorrectly in array types.

  Return type:

    None